REM Niwot Networks copyright 1997 (originally quedemo.bat)
REM You may use and modify with the only restriction being
REM that you must preserve these first three lines.
@ECHO OFF
REM This Quedemo batch file demonstrates
REM NMOVE ver 1.4 to handle a priority queue
REM The customer dumps .TIF and .ZIP files into C:\QUEUE
REM The customer desires all .TIF files to go first,
REM and .ZIP files to go if there are no TIF files waiting.
REM When used with DFT, CDFT is launched with /w0x60 /MLFILES.LST
REM   where FILES.LST is just: 
REM     Send c:\hotfold\*.*
REM     END
REM When used with GBXWIN, GBXWIN is set to autosend modified
REM    from c:\hotfold
REM This batch file moves
REM  (1st) all .TIF files from c:\queue to C:\hotfold
REM  (2nd) .ZIP files if c:\hotfold is getting empty
REM GBXWIN or CDFT sends the modified files and clears the archive bit
REM The batch file also scans c:\hotfold for files whose
REM archive bit has been cleared and moves them to C:\DONE.

:AGAIN
wait 2
REM just for testing, next lines re-fill c:\queue

if exist c:\queue\*.tif  goto GWAN
if exist c:\queue\*.zip  goto GWAN

goto QEMPTY

:GWAN
REM see if there are any files in c:\hotfold with archive bit cleared 
nmove /n /a c:\hotfold\*.*
if errorlevel 1 goto MOVARCH

REM see if there are any TIF files waiting to go
if exist c:\queue\*.tif  goto TIFIN

REM see if there are any zip files waiting to go
if exist c:\queue\*.zip  goto ZIPIN

goto AGAIN

:MOVARCH
REM Got here because there is one( or more) archived file in c:\hotfold
REM and we want to move it(them) to c:\done
nmove /a c:\hotfold\*.* c:\done >> nmove.log
goto again

:TIFIN
REM Got here because there is one( or more) TIF file in c:\queue
REM and we want to move it(them) to c:\hotfold
nmove c:\queue\*.tif c:\hotfold  >> nmove.log
goto again

:ZIPIN
REM Got here because there is one( or more) ZIP file in c:\queue
REM and we want to see if we should move it into c:\hotfold
REM we don't want to move it if there are two or more files
REM in c:\hotfold with their archive bits on (modified)
nmove /M /N c:\hotfold\*.*
if errorlevel 2 goto AGAIN

REM Got here because there are zip files to transfer and there 
REM is no more than one modified file in c:\hotfold
nmove /o c:\queue\*.ZIP c:\hotfold >> nmove.log
goto AGAIN

:QEMPTY
REM time < enter >>nsmove.log
attrib +a c:\done\*.*
nmove c:\done\*.* c:\queue >> nmove.log
goto again

